Package com.zfabrik.impl.components.java.jdt

## Class FileCompilationUnit

- java.lang.Object
- - com.zfabrik.impl.components.java.jdt.FileCompilationUnit

- All Implemented Interfaces:
    `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`, `org.eclipse.jdt.internal.compiler.env.IDependent`

      public class FileCompilationUnit
      extends java.lang.Object
      implements org.eclipse.jdt.internal.compiler.env.ICompilationUnit

  A simple, file based compilation unit implementation
  Author:
    hb

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jdt.internal.compiler.env.IDependent

      `JAR_FILE_ENTRY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileCompilationUnit​(java.io.File file, java.lang.String encoding)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char[]` | `getContents()` |
    `char[]` | `getFileName()` |
    `char[]` | `getMainTypeName()` |
    `char[][]` | `getPackageName()` |
    `boolean` | `ignoreOptionalProblems()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jdt.internal.compiler.env.ICompilationUnit

      `getDestinationPath, getExternalAnnotationPath, getModuleName, module`

- - ### Constructor Detail

    - #### FileCompilationUnit

          public FileCompilationUnit​(java.io.File file,
                                     java.lang.String encoding)

  - ### Method Detail

    - #### getContents

          public char[] getContents()

      Specified by:
        `getContents` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

    - #### getMainTypeName

          public char[] getMainTypeName()

      Specified by:
        `getMainTypeName` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

    - #### getPackageName

          public char[][] getPackageName()

      Specified by:
        `getPackageName` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

    - #### getFileName

          public char[] getFileName()

      Specified by:
        `getFileName` in interface `org.eclipse.jdt.internal.compiler.env.IDependent`

    - #### ignoreOptionalProblems

          public boolean ignoreOptionalProblems()

      Specified by:
        `ignoreOptionalProblems` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`